<?php
namespace Dfe\SecurePay\Signer;
use Df\Payment\Method as M;
use Df\Payment\W\F;
# 2016-08-27
final class Response extends \Dfe\SecurePay\Signer {
	/**
	 * 2016-08-27
	 * For EPS_TXNTYPE 0-7: merchant, transaction password, reference, amount, timestamp, summarycode
	 * For EPS_TXNTYPE 8: merchant, transaction password, store type, reference, timestamp, summarycode
	 * @override
	 * @see \Dfe\SecurePay\Signer::values()
	 * @used-by \Dfe\SecurePay\Signer::sign()
	 * @return string[]
	 */
	protected function values():array {
		$p = df_tm($this)->req(); /** @var array(string => mixed) $p */
		$v = $this->v(); /** @var array(string => mixed) $v */
		return array_merge(
			[$v['merchant']]
			,8 === intval($p['EPS_TXNTYPE']) ? [$p['EPS_STORETYPE'], $v['refid']] : [$v['refid'], $p['EPS_AMOUNT']]
			,[$v['timestamp'], $v['summarycode']]
		);
	}
}